/*
 * Diese Klasse speichert die zu einem POI zugehrigen Daten
 * 
 */

package de.lmu.mobilehci.locationaudio;

import java.io.Serializable;



public class PointOfInterest implements Serializable {

	private static final long serialVersionUID = 1L;
	
	// constants for XML parsing
	public final static int STARTED_NAME = 1;
	public final static int STARTED_TAG = 2;
	public final static int STARTED_CREATION_DATE = 3;
	
	public double latitude;
	public double longitude;
	public double distance;
	public int id;
	public String name;
	public String tag;
	public String creationDate;
	
	
	
	public String toString() {
		return "[POI: lat = " + latitude + ", lon = " + longitude + ", dist = " + distance + 
			", id = " + id + ", name = " + name + ", tag = " + name + 
			", creationDate = " + creationDate + "]";
	}

	

}
